linux

MySQL 源码编译安装报错 Googlemock was not found 解决方法

  • 2016-10-24 10:45
  • 阅读(2428)
  • 评论(0)
  • 编译安装MySQL 5.6.27的时候报错。执行命令: shell cmake . \ -DCMAKE_INSTALL_PREFIX=/usr/local/mysql \ -DMYSQL_DATADIR=/usr/local/mysql/data \ -DDEFAULT_CHARSET=utf8 \ -DDEFAULT_COLLATION=utf8_g ...

    MySQL 源码编译安装报错 Googlemock was not found 解决方法

    完整错误信息: error while loading shared libraries: libstdc++.so.6: cannot open shared object file: No such file or directory 解决办法: 1、执行命令: yum whatprovides libstdc++.so.6 然后会提示 ...

    while loading shared libraries: libstdc++.so.6: cannot open shared object file

    -bash: unzip: command not found解决方法

  • 2016-10-11 11:11
  • 阅读(2695)
  • 评论(0)
  • 今天在用unzip命令是发现如下错误# unzip project.zip-bash: unzip: command not found应该是unzip命令没有,然后安装# yum install -y unzip zipLoaded plugins: fastestmirror。。。。 Complete!然后在执行unzip命 ...

    -bash: unzip: command not found解决方法

    网站被攻击是一个永恒不变的话题,网站攻击的方式也是一个永恒不变的老套路。找几百个电脑(肉鸡),控制这些电脑同时访问你的网站,超过你网站的最大承载能力,然后你就瘫了。方法虽然老土,但却一直都很管用,就像 ...

    网站安全配置(Nginx)防止网站被攻击(包括使用了CDN加速之后的配置方法) ...

    Nginx 限制单个IP的并发连接数及对每个连接速度(限速)

  • 2016-10-8 11:20
  • 阅读(3127)
  • 评论(1)
  • 使用Nginx限制单个IP的并发连接数能够减少一些采集程序或者DDOS的攻击。再lnmp的nginx配置中已经添加了部分代码,但是是注释掉的,可以编辑/usr/local/nginx/conf/nginx.conf 文件1.1.8以上版本的nginx的设置:查找 ...

    Nginx 限制单个IP的并发连接数及对每个连接速度(限速)

    centos 查看服务器上安装的Nginx版本号

  • 2016-10-7 11:09
  • 阅读(3836)
  • 评论(0)
  • 怎么查看服务器上安装的nginx版本号,主要是通过nginx的-v或-V选项,查看方法如下图所示:-v 显示 nginx 的版本。-V 显示 nginx 的版本,编译器版本和配置参数。 ...

    centos 查看服务器上安装的Nginx版本号

    centos 配置tomcat开机启动的方法

  • 2016-10-3 11:52
  • 阅读(2543)
  • 评论(0)
  • tomcat.sh内容如下:#!/bin/bash# chkconfig: 2345 40 20# description: Starts and Stops the Tomcat daemon.TOMCAT_HOME=/usr/local/tomcatTOMCAT_START=$TOMCAT_HOME/bin/startup.shTOMCAT_STOP=$TOMCAT_HOME/bin ...

    centos 配置tomcat开机启动的方法

    configure: WARNING: You will need re2c 0.13.4 or later 解决方法

  • 2016-10-2 11:26
  • 阅读(2959)
  • 评论(0)
  • 给php编译安装Fileinfo的时候,报configure: WARNING: You will need re2c 0.13.4 or later if you want to regenerate PHP parsers.看了下说是要re2c这个东西.解决办法:wget http://sourceforge.net/projects/re2c/f ...

    configure: WARNING: You will need re2c 0.13.4 or later 解决方法

    CentOS进入单用户模式的方法

  • 2016-10-1 11:08
  • 阅读(2522)
  • 评论(0)
  • 1. centos怎么让进入GRUB 菜单界面? Linux开机引导的时候,按键盘上的e 就可以进入进入GRUB菜单界面。2.在出现GRUB引导画面时(CentOS(2.6.18-274**)),按字母e键,进入GRUB编辑状态。3.把光标移动到kernel ...那一 ...

    CentOS进入单用户模式的方法

    CentOS查看本机公网IP的命令

  • 2016-9-27 11:16
  • 阅读(2566)
  • 评论(1)
  • icanhazip.com 使你在任何地方知道你的公网IP地址icanhazip.com是一个网址,你在浏览器中输入这个网址,你就能得到你的公网IP地址了。我在Linux下一般使用curl icanhazip.com来获得我的公网IP地址。来个实例: # cur ...

    CentOS查看本机公网IP的命令

    源码编译apache,让它支持ssl 的方法

  • 2016-9-22 12:14
  • 阅读(2046)
  • 评论(1)
  • 1、 了解系统有没有安装openssl,应该默认都安装了。 2、 生成ssl证书 openssl genrsa -des3 -out ssl.key 1024然后他会要求你输入这个key文件的密码。不推荐输入。因为以后要给apache使用。由于生成时候必须输入密 ...

    源码编译apache,让它支持ssl 的方法

    CentOS-6.5下安装navicat for mysql

  • 2016-9-21 11:41
  • 阅读(2387)
  • 评论(1)
  • 一、安装前准备 安装epel源 安装wine 如果不安装wine,则可能会出现安装完navicat for mysql后无法启动的情况。二、安装epel源 cd /tmp wget http://download.fedoraproject.org/pub/epel/6/i386/epel-release-6-8.n ...

    CentOS-6.5下安装navicat for mysql

    centos系统使用setfacl报错Operation not supported 解决方法

  • 2016-9-20 11:04
  • 阅读(2531)
  • 评论(3)
  • setfacl 挺好用,但是,有一次 出现了 Operation not supported 错误,后来发现是因为在挂载的时候,没有设定acl解决方法:重新修改/etc/fstab文件,加入acl选项/dev/vg/bak /mnt/bak ext3 defaults,acl 0 0保存,重 ...

    centos系统使用setfacl报错Operation not supported 解决方法

    configure: error: Cannot find ldap libraries in /usr/lib 解决办法

  • 2016-9-16 10:47
  • 阅读(2618)
  • 评论(0)
  • 今天在centos 6.5 64位版本上安装LNMP,config php的时候出现下面错误而退出configure: error: Cannot find ldap libraries in /usr/lib解决办法:cp -frp /usr/lib64/libldap* /usr/lib/然后再./configure ...即可 ...

    configure: error: Cannot find ldap libraries in /usr/lib 解决办法

    ./configure: error: SSL modules require the OpenSSL library 解决方法

  • 2016-9-13 11:15
  • 阅读(2942)
  • 评论(0)
  • 安装nginx的时候出现./configure: error: SSL modules require the OpenSSL library. 解决方法:Centos需要安装openssl-devel Ubuntu则需要安装:sudo apt-get install libssl-dev如果上面方法不管用可以试试(针对于安 ...

    ./configure: error: SSL modules require the OpenSSL library 解决方法